> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add currency



## OpenAPI

````yaml Wallet post /currencies
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /currencies:
    post:
      tags:
        - Currency
      summary: Add currency
      operationId: CurrencyController_addCurrency
      parameters:
        - name: tenantId
          in: header
          description: Tenant Id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCurrencyReq'
        required: true
      responses:
        '201':
          description: Add currency
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyDto'
      security:
        - default: []
components:
  schemas:
    AddCurrencyReq:
      required:
        - aliases
        - blockchain
        - decimal
        - max_value
        - name
        - type
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - fiat
            - crypto
        decimal:
          type: number
        max_value:
          type: number
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/AddAliasReqDto'
        blockchain:
          $ref: '#/components/schemas/AddBlockchainReqDto'
    CurrencyDto:
      required:
        - aliases
        - blockchain
        - decimal
        - id
        - max_value
        - name
        - type
      type: object
      properties:
        id:
          $ref: '#/components/schemas/IdentityDto'
        name:
          type: string
        type:
          type: string
          enum:
            - fiat
            - crypto
        decimal:
          type: number
        max_value:
          type: number
        aliases:
          type: array
          items:
            $ref: '#/components/schemas/AliasDto'
        blockchain:
          $ref: '#/components/schemas/BlockchainDto'
    AddAliasReqDto:
      required:
        - default
        - name
        - ownerId
        - picture
        - scale
        - shortname
        - sign
      type: object
      properties:
        name:
          type: string
        shortname:
          type: string
        scale:
          type: number
        sign:
          type: string
        picture:
          type: string
        default:
          type: boolean
        ownerId:
          type: string
    AddBlockchainReqDto:
      required:
        - definition
        - name
        - type
        - users
        - walletTypes
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - test
            - experimental
            - established
        users:
          type: string
          enum:
            - persons
            - organization
            - any
        walletTypes:
          type: string
          enum:
            - dex
            - cex
        definition:
          $ref: '#/components/schemas/AddDefinitionReqDto'
    IdentityDto:
      required:
        - auditData
        - entityId
        - tenantId
      type: object
      properties:
        tenantId:
          type: string
        entityId:
          $ref: '#/components/schemas/IdResponse'
        auditData:
          $ref: '#/components/schemas/AuditDetailDto'
    AliasDto:
      required:
        - default
        - id
        - name
        - ownerId
        - picture
        - scale
        - shortname
        - sign
      type: object
      properties:
        id:
          $ref: '#/components/schemas/IdentityDto'
        name:
          type: string
        shortname:
          type: string
        scale:
          type: number
        sign:
          type: string
        picture:
          type: string
        default:
          type: boolean
        ownerId:
          type: string
    BlockchainDto:
      required:
        - definition
        - id
        - name
        - type
        - users
        - walletTypes
      type: object
      properties:
        id:
          $ref: '#/components/schemas/IdentityDto'
        name:
          type: string
        type:
          type: string
          enum:
            - test
            - experimental
            - established
        users:
          type: string
          enum:
            - persons
            - organization
            - any
        walletTypes:
          type: string
          enum:
            - dex
            - cex
        definition:
          $ref: '#/components/schemas/DefinitionDto'
    AddDefinitionReqDto:
      required:
        - data
        - ownerId
      type: object
      properties:
        ownerId:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/AddValueReqDto'
    IdResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          example: 2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231
    AuditDetailDto:
      required:
        - archivedAt
        - createdAt
        - createdBy
        - deletedAt
        - deletedBy
        - updatedAt
        - updatedBy
      type: object
      properties:
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
        archivedAt:
          type: string
          format: date-time
        createdBy:
          type: string
        updatedBy:
          type: string
        deletedBy:
          type: string
    DefinitionDto:
      required:
        - data
        - id
        - ownerId
      type: object
      properties:
        id:
          $ref: '#/components/schemas/IdentityDto'
        ownerId:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataDto'
    AddValueReqDto:
      required:
        - name
        - ownerId
        - type
        - value
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: number
        value:
          type: string
    DataDto:
      required:
        - id
        - name
        - value
      type: object
      properties:
        id:
          $ref: '#/components/schemas/IdentityDto'
        name:
          type: string
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````